Support » Plugin: Better Search Replace » Error with PHP 7.2, works with PHP 7.1

  • maybe this helps someone:

    it’s the second time in the last few weeks i had problems search/replacing a string with this tool as well as search/replace from interconnect/it. on different servers and wordpress installations. both deliver a very generic error.

    i upped the memory to 1024M, lowered the recommended settings, etc.

    then switched to PHP 7.1, voila, works, other settings didn’t matter. Better Search & Replace as well as the stand-alone Search/Replace work with 7.1

    so, simply switch to 7.1 (or prior), execute replace, switch back to 7.2, it’s worth a try.

    • This topic was modified 1 year, 4 months ago by beatR.
Viewing 3 replies - 1 through 3 (of 3 total)
  • I have a similar problem. When running on php 7.2.10 I got the error message when scanning for anything on table wp_options. It’s weird but for me it just happen on this table.

    Switching to php 7.1.22 it worked fine.

    stephenturner

    (@stephenturner)

    Hi Guys, i’m not a technical person at all, but this is what i’m having to do for now:

    Make sure PHP is set to 7.1 before you migrate a site to the domain name
    Carry out better search replace and it processes the wp_options file with no issues
    Change to PHP 7.2

    This worked for me, however, if you change your domain to PHP 7.1 and try to run better search replace it still don’t work, i have to migrate my sites to my server set to PHP 7.1 for it to work, i cannot change it, this does not work, hoping the plugin support can offer a solution, ps, the same thing happens with other search and replace plugins too… 🙂

    I just installed WampServer64 v3.1.9, copied my site locally, and tried to finish the setup with “Better Search Replace”.

    “Better Search Replace” has problems when PHP 7.2.18 or 7.3.5 is used, it appears to work correctly in 7.1.29.

    Mama sez I’m not a technical person, but I know when something need fixin.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Error with PHP 7.2, works with PHP 7.1’ is closed to new replies.